How To Install Drivers For Canon Printers PIXMA MP Series On Ubuntu 14.04 Trusty Tahr, Linux Mint 17 Qiana And Their Derivative Systems

Hello Linux Geeksters. As you may know, Canon is the largest printer manufacturer, but it does not have drivers for every printer model, running on Linux.

In this article I will show you how to install the Ubuntu drivers for Canon MP Series Printers, on Ubuntu 14.04 Trusty Tahr and their derivative systems: Linux Mint 17 Qiana, Elementary OS 0.3 Isis, Bodhi Linux 3.0.0, Pinguy OS 14.04, ExTiX 14.1 etc.

This article has installation instructions for:

  • Canon MP140 Ubuntu Driver – cnijfilter-mp140series
  • CanonMP160 Ubuntu Driver – cnijfilter-mp160series
  • Canon MP190 Ubuntu Driver – cnijfilter-mp190series
  • Canon MP210 Ubuntu Driver – cnijfilter-mp210series
  • Canon MP240 Ubuntu Driver – cnijfilter-mp240series
  • Canon MP490 Ubuntu Driver – cnijfilter-mp490series
  • Canon MP500 Ubuntu Driver – cnijfilter-mp500series
  • Canon MP510 Ubuntu Driver – cnijfilter-mp510series
  • Canon MP520 Ubuntu Driver – cnijfilter-mp520series
  • Canon MP540 Ubuntu Driver – cnijfilter-mp540series
  • Canon MP550 Ubuntu Driver – cnijfilter-mp550series
  • Canon MP560 Ubuntu Driver – cnijfilter-mp560series
  • Canon MP600 Ubuntu Driver – cnijfilter-mp600series
  • Canon MP610 Ubuntu Driver – cnijfilter-mp610series
  • Canon MP630 Ubuntu Driver – cnijfilter-mp630series

The Canon drivers are available via Michael Gruz’s PPA, but unfortunately they require the libtiff4 library, which is not available via the default repositories of Ubuntu 14.04 and derivative systems.

Follow the below instructions exactly, in order to get a successful installation.

Add the repo and update the system:

$ sudo add-apt-repository ppa:michael-gruz/canon-trunk
$ sudo apt-get update

Download and install the libtiff4 library, for either 32 bit and 64 bit systems:

How to install the libtiff4 library on 32 bit Ubuntu 14.04 and Linux Mint 17 systems:

$ wget http://cz.archive.ubuntu.com/ubuntu/pool/universe/t/tiff3/libtiff4_3.9.7-2ubuntu1_i386.deb
$ sudo dpkg -i libtiff4_3.9.7-2ubuntu1_i386.deb
$ sudo apt-get install -f

How to install the libtiff4 library on 64 bit Ubuntu 14.04 and Linux Mint 17 systems:

$ wget http://cz.archive.ubuntu.com/ubuntu/pool/universe/t/tiff3/libtiff4_3.9.7-2ubuntu1_amd64.deb
$ sudo dpkg -i libtiff4_3.9.7-2ubuntu1_amd64.deb
$ sudo apt-get install -f

And install the drivers for your printer exactly:

Canon MP140 Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp140series

Canon MP160 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp160series

Canon MP190 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp190series

Canon MP210 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp210series

Canon MP240 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp240series

Canon MP490 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp490series

Canon MP500 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp500series

Canon MP510 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp510series

Canon MP520 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp520series

Canon MP540 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp540series

Canon MP550 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp550series

Canon MP560 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp560series

Canon MP600 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp600series

Canon MP610 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp610series

Canon MP630 series Ubuntu Driver:

$ sudo apt-get install cnijfilter-mp630series

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!
11 comments on “How To Install Drivers For Canon Printers PIXMA MP Series On Ubuntu 14.04 Trusty Tahr, Linux Mint 17 Qiana And Their Derivative Systems
  1. celestis says:

    For the:

    wget http://ftp.us.debian.org/debian/pool/main/t/tiff3/libtiff4_3.9.7-3_amd64.deb

    i get:

    –2014-05-06 14:06:22– http://ftp.us.debian.org/debian/pool/main/t/tiff3/libtiff4_3.9.7-3_amd64.deb
    Resolving http://ftp.us.debian.org (ftp.us.debian.org)… 64.50.233.100, 64.50.236.52, 128.30.2.36, …
    Connecting to http://ftp.us.debian.org (ftp.us.debian.org)|64.50.233.100|:80… connected.
    HTTP request sent, awaiting response… 404 Not Found
    2014-05-06 14:06:22 ERROR 404: Not Found.

    But there is libtiff4_3.9.6-11_amd64.deb but it doesnt work with it…

    i have pixma mp520.

    • Geekster says:

      when i updated the article, the libtiff4 libraries for both 32 bit and 64 bit systems were available via the debian repositories. now, they got removed. I will try and find other download links:)

  2. celestis says:

    Yes pleas i would really really really appreciate this 🙂 im new to Linux and fill like im in the porcelain store 🙂

  3. Andy Seago says:

    Brilliant!
    Thank you!

  4. THANKYOU says:

    after 3 HOURS of retarded directions, FINALLY someone with a brain. THANK YOU from all us frazzled ubuntu newbies! (wtf, every upgrade all screwed up no printer….omg).

    THANKS THANKS THANKS

  5. Darby7 says:

    Big thanks, a simple newbie like me followed your clear instructions and Viola !!!!
    all working perfectly.
    thanks Darby7

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!